View Issue Details

IDProjectCategoryView StatusLast Update
0001428SOGoWeb Mailpublic2011-10-14 12:23
ReporterChristian Mack Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux 
Product Version1.3.8a 
Target Version1.3.9Fixed in Version1.3.9 
Summary0001428: web URL in angle brackets not usable
Description

When you get a web URL in angle brackets, you cannot use it.
It is shown as clickable link, but when you clicking on it, you don't get to the corresponding web site.

Instead it throws you to a non existing subpage of SOGo.

Steps To Reproduce

Send an email with any URL to a web site enclosed in angle brackets to a SOGo user.
Open this email as SOGo user.
Click on the displayed link.

E.g.:

<pre><http://www.sogo.nu/></pre>

After following the link you are thrown to:

<pre>https://sogo.example.com/SOGo/so/test.user/mail/&lt;http://www.sogo.nu/></pre>

TagsNo tags attached.

Relationships

has duplicate 0001168 closed Some URLs are rendered improperly. 

Activities

buzzdee

buzzdee

2011-09-01 06:38

reporter   ~0002836

I've seen the same on OpenBSD, the links lead you to:

https://mysogoserver/SOGo/so/user/Mail/%3Chttp://www.eurobsdcon.org/%3E

francis

francis

2011-10-14 12:23

administrator   ~0002909

Fixed in revision 43302bf5a2ca20f32477d5cd984a6f08aeb0149b.

Issue History

Date Modified Username Field Change
2011-08-22 09:29 Christian Mack New Issue
2011-08-23 10:46 francis OS CentOS =>
2011-08-23 10:46 francis OS Version 5.6 =>
2011-08-23 10:46 francis Steps to Reproduce Updated
2011-08-23 10:47 francis Target Version => 1.3.9
2011-09-01 06:38 buzzdee Note Added: 0002836
2011-10-14 12:23 francis Note Added: 0002909
2011-10-14 12:23 francis Status new => resolved
2011-10-14 12:23 francis Fixed in Version => 1.3.9
2011-10-14 12:23 francis Resolution open => fixed
2011-10-14 12:23 francis Assigned To => francis
2011-12-20 13:54 francis Relationship added has duplicate 0001168